commoble.bagofyurting.client.jei

## Class JEIProxy

- java.lang.Object
- - commoble.bagofyurting.client.jei.JEIProxy

All Implemented Interfaces:
  mezz.jei.api.IModPlugin

    public class JEIProxy
    extends java.lang.Object
    implements mezz.jei.api.IModPlugin

### Field Summary

Fields
`static net.minecraft.util.ResourceLocation` `ID`

### Constructor Summary

Constructors
Constructor and Description
`JEIProxy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`net.minecraft.util.ResourceLocation` `getPluginUid()` The unique ID for this mod plugin.
`void` `registerItemSubtypes(mezz.jei.api.registration.ISubtypeRegistration registration)` If your item has subtypes that depend on NBT or capabilities, use this to help JEI identify those subtypes correctly.
`void` `registerRecipes(mezz.jei.api.registration.IRecipeRegistration registration)` Register modded recipes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface mezz.jei.api.IModPlugin

`onRuntimeAvailable, registerAdvanced, registerCategories, registerGuiHandlers, registerIngredients, registerRecipeCatalysts, registerRecipeTransferHandlers, registerVanillaCategoryExtensions`

### Field Detail

#### ID

    public static final net.minecraft.util.ResourceLocation ID

### Constructor Detail

#### JEIProxy

    public JEIProxy()

### Method Detail

#### getPluginUid

    public net.minecraft.util.ResourceLocation getPluginUid()

Description copied from interface: `mezz.jei.api.IModPlugin`
The unique ID for this mod plugin. The namespace should be your mod's modId.

Specified by:
  `getPluginUid` in interface `mezz.jei.api.IModPlugin`

#### registerItemSubtypes

    public void registerItemSubtypes(mezz.jei.api.registration.ISubtypeRegistration registration)

If your item has subtypes that depend on NBT or capabilities, use this to help JEI identify those subtypes correctly.

Specified by:
  `registerItemSubtypes` in interface `mezz.jei.api.IModPlugin`

#### registerRecipes

    public void registerRecipes(mezz.jei.api.registration.IRecipeRegistration registration)

Register modded recipes.

Specified by:
  `registerRecipes` in interface `mezz.jei.api.IModPlugin`